## org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets
Class SearchableTree

    java.lang.Object
      org.eclipse.swt.widgets.Widget
          org.eclipse.swt.widgets.Control
              org.eclipse.swt.widgets.Scrollable
                  org.eclipse.swt.widgets.Composite
                      org.eclipse.emf.ecoretools.tabbedproperties.sections.widgets.SearchableTree

All Implemented Interfaces:
  org.eclipse.swt.graphics.Drawable

    public class SearchableTree

extends org.eclipse.swt.widgets.Composite

This widget displays a tree (or a list) with a text field to allow to filter the list content using the field content.

Field Summary

Fields inherited from class org.eclipse.swt.widgets.Composite
`embeddedHandle`

Fields inherited from class org.eclipse.swt.widgets.Widget
`handle`

Constructor Summary
`SearchableTree(org.eclipse.swt.widgets.Composite parent, int style)` Constructor

Method Summary
`protected void` `createContents(org.eclipse.swt.widgets.Composite parent, int style)` Creates the UI
`org.eclipse.jface.viewers.TreeViewer` `getTreeViewer()` Returns the tree used to display the objects
`protected void` `hookListeners()` Adds the listeners on the widgets
`protected void` `refresh()` Refresh the tree and the selection
`void` `setContentProvider(org.eclipse.jface.viewers.ITreeContentProvider provider)` Set the content provider for the tree
`void` `setInitialSelection(org.eclipse.jface.viewers.IStructuredSelection selection)` Set the initial selection of the tree
`void` `setInput(java.lang.Object input)` Set the input model
`void` `setLabelProvider(org.eclipse.jface.viewers.ILabelProvider provider)` Set the label provider for the tree

Methods inherited from class org.eclipse.swt.widgets.Composite
`changed, checkSubclass, computeSize, getBackgroundMode, getChildren, getClientArea, getLayout, getLayoutDeferred, getTabList, isLayoutDeferred, layout, layout, layout, layout, setBackgroundMode, setFocus, setLayout, setLayoutDeferred, setTabList`

Methods inherited from class org.eclipse.swt.widgets.Scrollable
`computeTrim, getBorderWidth, getHorizontalBar, getVerticalBar`

Methods inherited from class org.eclipse.swt.widgets.Control

`addControlListener, addDragDetectListener, addFocusListener, addHelpListener, addKeyListener, addMenuDetectListener, addMouseListener, addMouseMoveListener, addMouseTrackListener, addMouseWheelListener, addPaintListener, addTraverseListener, computeSize, dragDetect, dragDetect, forceFocus, getAccessible, getBackground, getBackgroundImage, getBounds, getCursor, getData, getDragDetect, getEnabled, getFont, getForeground, getLayoutData, getLocation, getMenu, getMonitor, getParent, getRegion, getShell, getSize, getToolTipText, getVisible, internal_dispose_GC, internal_new_GC, isEnabled, isFocusControl, isReparentable, isVisible, moveAbove, moveBelow, pack, pack, print, redraw, redraw, removeControlListener, removeDragDetectListener, removeFocusListener, removeHelpListener, removeKeyListener, removeMenuDetectListener, removeMouseListener, removeMouseMoveListener, removeMouseTrackListener, removeMouseWheelListener, removePaintListener, removeTraverseListener, setBackground, setBackgroundImage, setBounds, setBounds, setCapture, setCursor, setDragDetect, setEnabled, setFont, setForeground, setLayoutData, setLocation, setLocation, setMenu, setParent, setRedraw, setRegion, setSize, setSize, setToolTipText, setVisible, toControl, toControl, toDisplay, toDisplay, traverse, update`

Methods inherited from class org.eclipse.swt.widgets.Widget
`addDisposeListener, addListener, checkWidget, dispose, getData, getDisplay, getListeners, getStyle, isDisposed, isListening, notifyListeners, removeDisposeListener, removeListener, removeListener, setData, setData, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### SearchableTree

    public SearchableTree(org.eclipse.swt.widgets.Composite parent,
                          int style)

  Constructor

  Parameters:
    `parent` - the parent composite
    `style` - the Tree Style

Method Detail

### createContents

    protected void createContents(org.eclipse.swt.widgets.Composite parent,
                                  int style)

  Creates the UI

  Parameters:
    `parent` - this widget
    `style` - the tree style

### hookListeners

    protected void hookListeners()

  Adds the listeners on the widgets

### refresh

    protected void refresh()

  Refresh the tree and the selection

### getTreeViewer

    public org.eclipse.jface.viewers.TreeViewer getTreeViewer()

  Returns the tree used to display the objects

  Returns:
    the tree viewer

### setContentProvider

    public void setContentProvider(org.eclipse.jface.viewers.ITreeContentProvider provider)

  Set the content provider for the tree

  Parameters:
    `provider` - the tree content provider

### setLabelProvider

    public void setLabelProvider(org.eclipse.jface.viewers.ILabelProvider provider)

  Set the label provider for the tree

  Parameters:
    `provider` - the tree label provider

### setInput

    public void setInput(java.lang.Object input)

  Set the input model

  Parameters:
    `input` - the input object

### setInitialSelection

    public void setInitialSelection(org.eclipse.jface.viewers.IStructuredSelection selection)

  Set the initial selection of the tree

  Parameters:
    `selection` - the intial selection

Copyright 2007 Anyware Technologies. All Rights Reserved.